<?php 
if ( function_exists('register_sidebar') ) 
register_sidebar(array('before_widget' => '<li>', 
		'after_widget' => '</li>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',     
		));

// helper functions
  if ( function_exists('wp_list_bookmarks') ) //used to check WP 2.1 or not
    $numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_type='post' and post_status = 'publish'");
	else
    $numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
  if (0 < $numposts) $numposts = number_format($numposts); 
	$numcmnts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
		if (0 < $numcmnts) $numcmnts = number_format($numcmnts);
// ----------------

define('HEADER_TEXTCOLOR', '');
define('HEADER_IMAGE', '%s/img/header.jpg'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 780);
define('HEADER_IMAGE_HEIGHT', 175);
define( 'NO_HEADER_TEXT', true );

function unnamed_admin_header_style() {
?>
<style type="text/css">
#headimg {
	background: url(<?php header_image() ?>) no-repeat;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
}
#headimg *
{
	display:none;
}

</style>
<?php
}
function unnamed_header_style() {
?>
<style type="text/css">
#header {
	background: url(<?php header_image(); ?>) no-repeat;
}
</style>
<?php
}
if ( function_exists('add_theme_support') )
{
    $args = array(
        'wp-head-callback'    => 'unnamed_header_style',
        'admin-head-callback' => 'unnamed_admin_header_style',
    );
    add_theme_support( 'custom-header', $args );
}

?>